MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032527Open CASCADE[OCCT] OCCT:Data Exchangepublic2021-08-11 16:102021-08-24 00:13
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032527: Data Exchange, RWGltf_CafWriter - make name format configurable
DescriptionIt could be useful making name format configurable within glTF export.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0031176closedbugmaster Open CASCADE Data Exchange, RWMesh_CafReader::generateNames() - reuse product name when instance name is not set 

-  Notes
(0103131)
git (administrator)
2021-08-11 16:20

Branch CR32527 has been created by kgv.

SHA-1: dd8f7ef6569003452da9567270cda93484727ac4


Detailed log of new commits:

Author: kgv
Date: Wed Aug 11 16:11:45 2021 +0300

    0032527: Data Exchange, RWGltf_CafWriter - make name format configurable
    
    Added properties RWGltf_CafWriter::NodeNameFormat() and ::MeshNameFormat().
(0103133)
git (administrator)
2021-08-11 16:43

Branch CR32527 has been updated forcibly by kgv.

SHA-1: 0007704fa8979a5035f65a23182cc7e4b8764c27
(0103136)
kgv (developer)
2021-08-11 19:40

Patch is ready for review
- OCCT: branch CR32527.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32527-master-KGV/ [^]
(0103153)
osa (developer)
2021-08-12 13:52

The patch was reviewed
(0103201)
bugmaster (administrator)
2021-08-14 13:23

Combination -
OCCT branch : IR-2021-08-13
master SHA - 7b5f784419eb9fd9a1d3dc69eff89d3e720d6e97
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-08-13 SHA - 8dc957c07e49e8db2f1330ec126160fe1c7eb89d
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17368.20000000041 / 17370.70000000038 [-0.01%]
Products
Total CPU difference: 11492.330000000085 / 11466.840000000084 [+0.22%]
Windows-64-VC14:
OCCT
Total CPU difference: 19143.8125 / 19180.875 [-0.19%]
Products
Total CPU difference: 12803.65625 / 12837.4375 [-0.26%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0103216)
git (administrator)
2021-08-14 14:02

Branch CR32527 has been deleted by mnt.

SHA-1: 0007704fa8979a5035f65a23182cc7e4b8764c27

- Related Changesets
occt: master fd42e764
Timestamp: 2021-08-11 13:11:45
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032527: Data Exchange, RWGltf_CafWriter - make name format configurable

Added properties RWGltf_CafWriter::NodeNameFormat() and ::MeshNameFormat().
mod - src/RWGltf/RWGltf_CafWriter.cxx Diff ] File ]
mod - src/RWGltf/RWGltf_CafWriter.hxx Diff ] File ]
mod - src/RWMesh/FILES Diff ] File ]
add - src/RWMesh/RWMesh.cxx Diff ] File ]
add - src/RWMesh/RWMesh.hxx Diff ] File ]
add - src/RWMesh/RWMesh_NameFormat.hxx Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-08-11 16:10 kgv New Issue
2021-08-11 16:10 kgv Assigned To => kgv
2021-08-11 16:20 git Note Added: 0103131
2021-08-11 16:43 git Note Added: 0103133
2021-08-11 19:40 kgv Note Added: 0103136
2021-08-11 19:40 kgv Assigned To kgv => osa
2021-08-11 19:40 kgv Status new => resolved
2021-08-12 11:34 kgv Relationship added child of 0032411
2021-08-12 13:52 osa Note Added: 0103153
2021-08-12 13:52 osa Assigned To osa => bugmaster
2021-08-12 13:52 osa Status resolved => reviewed
2021-08-14 13:23 bugmaster Note Added: 0103201
2021-08-14 13:23 bugmaster Status reviewed => tested
2021-08-14 13:26 bugmaster Test case number => Not required
2021-08-14 13:31 bugmaster Changeset attached => occt master fd42e764
2021-08-14 13:31 bugmaster Status tested => verified
2021-08-14 13:31 bugmaster Resolution open => fixed
2021-08-14 14:02 git Note Added: 0103216
2021-08-24 00:13 kgv Relationship added related to 0031176


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker